org.eclipse.jgit.transport

## Class CredentialItem.Username

- java.lang.Object
- - org.eclipse.jgit.transport.CredentialItem
  - - org.eclipse.jgit.transport.CredentialItem.StringType
    - - org.eclipse.jgit.transport.CredentialItem.Username

Enclosing class:
  CredentialItem

    public static class CredentialItem.Username
    extends CredentialItem.StringType

Prompt for a username, which is not masked on input.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.CredentialItem

`CredentialItem.CharArrayType, CredentialItem.InformationalMessage, CredentialItem.Password, CredentialItem.StringType, CredentialItem.Username, CredentialItem.YesNoType`

### Constructor Summary

Constructors
Constructor and Description
`Username()` Initialize a new username item, with a default username prompt.

### Method Summary

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem.StringType

`clear, getValue, setValue`

### Methods inherited from class org.eclipse.jgit.transport.CredentialItem

`getPromptText, isValueSecure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Username

    public Username()

Initialize a new username item, with a default username prompt.